Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.query
Class AbstractVisitable

    java.lang.Object
      org.apache.openjpa.persistence.query.AbstractVisitable

All Implemented Interfaces:
  Serializable, Visitable

Direct Known Subclasses:
  BinaryExpressionPredicate, ExpressionImpl, LogicalPredicate, NewInstance, OrderableItem, UnaryExpressionPredicate

    abstract class AbstractVisitable

extends Object
implements Visitable

An abstract implementation that throws UnsupportedOperationException on every method.

Author:
  Pinaki Poddar

Field Summary
`static String` | `CLOSE_BRACE`
`static String` | `COMMA`
`static String` | `EMPTY`
`static String` | `OPEN_BRACE`
`static String` | `SPACE`

Constructor Summary
`AbstractVisitable()`

Method Summary
`String` | `asExpression(AliasContext ctx)` Get a JPQL fragment as used in WHERE clause.
`String` | `asJoinable(AliasContext ctx)` Gets the string representation in FROM clause.
`String` | `asProjection(AliasContext ctx)` Gets the string representation in SELECT projection.
`String` | `getAliasHint(AliasContext ctx)` Gets the hint to be used while creating alias.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SPACE

    public static final String SPACE

See Also:
  Constant Field Values

### OPEN_BRACE

    public static final String OPEN_BRACE

See Also:
  Constant Field Values

### CLOSE_BRACE

    public static final String CLOSE_BRACE

See Also:
  Constant Field Values

### COMMA

    public static final String COMMA

See Also:
  Constant Field Values

### EMPTY

    public static final String EMPTY

See Also:
  Constant Field Values

Constructor Detail

### AbstractVisitable

    AbstractVisitable()

Method Detail

### asExpression

    public String asExpression(AliasContext ctx)

  Description copied from interface: `Visitable`
  Get a JPQL fragment as used in WHERE clause.

  Specified by:
    `asExpression` in interface `Visitable`

### asProjection

    public String asProjection(AliasContext ctx)

  Description copied from interface: `Visitable`
  Gets the string representation in SELECT projection.

  Specified by:
    `asProjection` in interface `Visitable`

### getAliasHint

    public String getAliasHint(AliasContext ctx)

  Description copied from interface: `Visitable`
  Gets the hint to be used while creating alias.

  Specified by:
    `getAliasHint` in interface `Visitable`

### asJoinable

    public String asJoinable(AliasContext ctx)

  Description copied from interface: `Visitable`
  Gets the string representation in FROM clause.

  Specified by:
    `asJoinable` in interface `Visitable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.